aboutsummaryrefslogtreecommitdiff
path: root/board/raspberrypi/post-image.sh
diff options
context:
space:
mode:
authorGravatar Peter Seiderer <ps.report@gmx.net>2016-05-02 22:25:44 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-09-18 19:21:18 +0200
commit1e03cc2290f98fc7434254d2abd9afd504de8360 (patch)
tree8f28d8b5917e7ea05a304a69fe4e00d69513b374 /board/raspberrypi/post-image.sh
parenta2f8d497274badaca510a8160aa0da06be1f94c1 (diff)
downloadbuildroot-1e03cc2290f98fc7434254d2abd9afd504de8360.tar.gz
buildroot-1e03cc2290f98fc7434254d2abd9afd504de8360.tar.bz2
raspberrypi3: fix serial console (load pi3-miniuart-bt overlay)
- enable BR2_PACKAGE_RPI_FIRMWARE_INSTALL_DTB_OVERLAYS in raspberrypi3_defconfig - add copy of rpi-firmware/overlays directory to boot partition in genimage-raspberrypi3.cfg - enhance post-image.sh script to add 'dtoverlay=pi3-miniuart-bt' on request - add BR2_ROOTFS_POST_SCRIPT_ARGS="--add-pi3-miniuart-bt-overlay" in raspberrypi3_defconfig Signed-off-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'board/raspberrypi/post-image.sh')
-rwxr-xr-xboard/raspberrypi/post-image.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index 73ffd658e7..c00975288c 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -5,6 +5,19 @@ BOARD_NAME="$(basename ${BOARD_DIR})"
GENIMAGE_CFG="${BOARD_DIR}/genimage-${BOARD_NAME}.cfg"
GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+case "${2}" in
+ --add-pi3-miniuart-bt-overlay)
+ if ! grep -qE '^dtoverlay=' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+ echo "Adding 'dtoverlay=pi3-miniuart-bt' to config.txt (fixes ttyAMA0 serial console)."
+ cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
+
+# fixes rpi3 ttyAMA0 serial console
+dtoverlay=pi3-miniuart-bt
+__EOF__
+ fi
+ ;;
+esac
+
# Mark the kernel as DT-enabled
mkdir -p "${BINARIES_DIR}/kernel-marked"
${HOST_DIR}/usr/bin/mkknlimg "${BINARIES_DIR}/zImage" \